[Pkg-puppet-devel] Bug#484724: Well...

Nick Phillips nwp at nz.lemon-computing.com
Thu Jun 12 01:39:25 UTC 2008

...it seems that the fix for this bug in 0.24.4-8 (not sure which 
version it was introduced in; somewhere between -4 and -8) breaks 
"allowdupe" for groups; I think the chunk:

        if @resource[:allowdupe] == :true && param == :uid
            cmd << "-o"
in lib/provider/nameservice/objectadd.rb needs to do the same or similar 
when gid is being set.



More information about the Pkg-puppet-devel mailing list